@import "reboot";
@import "variables";
@import "mixins";
@import "grid";
@import "functions";

[class*="col-"] {
  padding-left: 15px;
  padding-right: 15px;
  flex: 0 0 auto;
}

* {
  scroll-behavior: smooth;
}

body {
  color: text-color("primary");
  background-color: $body-background;
  font-family: $font-family;
  min-height: 100vh;
  padding-bottom: 72px;
  position: relative;
}

h1 {
  font-size: 45px;
  line-height: 55px;
  font-weight: $font-weight-bold;
}

h2 {
  font-size: 30px;
  line-height: 40px;
  font-weight: $font-weight-bold;
}

h3 {
  font-size: 25px;
  line-height: 32px;
  font-weight: $font-weight-semibold;
}

p, h1 {
  margin: 0;
}

input,
textarea {
  width: 100%;
  border-radius: 0;
  border: none;
  outline: none;
  padding: 15px;
  background-color: gray("700");
  margin-bottom: 20px;
  color: text-color("primary");
  font-weight: $font-weight-semibold;
  transition: $transition;
}

input:focus,
textarea:focus {
  background-color: theme-color("primary");
  color: gray("800");
}

input[type=submit] {
  background-color: theme-color("primary");
  color: gray("500");
  font-size: 20px;
  text-transform: uppercase;
  font-weight: $font-weight-bold;
  cursor: pointer;
  margin-bottom: 0;
}

input[type=submit]:hover {
  opacity: 0.6;
}

form {
  input {
    margin-bottom: 30px;
  }

  input[type=submit] {
    padding: 12px 15px;
  }

  .input-wrp {
    label.normal {
      margin-bottom: 5px;
      text-transform: uppercase;
      color: theme-color("primary-alt");
      font-weight: $font-weight-semibold;
      line-height: 16px;
    }

    input.error {
      border-right: 5px solid $error;
    }

    label.error {
      margin-top: -25px;
      margin-bottom: 9px;
      margin-left: 5px;
      color: $error;
      font-size: 15px;
      line-height: 16px;  
      @include flex-row(center);
      
      > img {
        height: 16px;
        width: 16px;
        margin-right: 5px;
      }
    }
  }
}

.flash-message {
  position: absolute;
  margin-top: -40px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 18px;
  line-height: 18px;
  font-weight: $font-weight-semibold;
  animation: hideFlashMessage 4s forwards;
  white-space: nowrap;

  &.success {
    color: $sucess;
  }

  &.failure {
    color: $error;
    @include flex-row(center);
      
    > img {
      height: 18px;
      width: 18px;
      margin-right: 10px;
    }
  }

  @keyframes hideFlashMessage {
    0%   {opacity: 1;}
    80%  {opacity: 1;}
    100% {opacity: 0;}
  }
}

.flash-message-v2 {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 18px;
  line-height: 18px;
  font-weight: $font-weight-semibold;
  white-space: nowrap;
  color: $body-background;
  padding: 10px 20px;
  border-radius: 20px;
  display: none;

  &.success {
    background-color: $sucess;
  }

  &.failure {
    background-color: $error;
  }
}

.img-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.main-heading {
  text-align: center;
  text-transform: uppercase;
  padding: 50px 0;
}

@import "parts/header.scss";
@import "parts/footer.scss";
@import "parts/admin_sidenav.scss";